Bug 177288 - bash fails to execute autoconf-generated script
bash fails to execute autoconf-generated script
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
rawhide
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-08 21:35 EST by Tom Lane
Modified: 2013-07-02 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 11:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2006-01-08 21:35:51 EST
Description of problem:
Latest bash fails to execute configure script

Version-Release number of selected component (if applicable):
bash-3.1-2

How reproducible:
100%

Steps to Reproduce:
1.  Try to build postgresql in beehive
2.  Notice that configure script for the "pgtcl" component fails

Actual results:
...
checking if 64bit support is enabled... no
checking if 64bit Sparc VIS support is requested... no
checking system version (for dynamic loading)... ./configure: line 5698: syntax error near unexpected 
token `('
./configure: line 5698: `    case `(ac_space=' '; set | grep ac_space) 2>&1` in'
[root@ls20-bc1-13 Pgtcl]# 

The "checking system version" message is at line 3546; I'm not sure how control suddenly jumps two 
thousand lines further down, but running the script under sh -x confirms that's what it's doing.

Expected results:
successful execution of script

Additional info:
The postgresql specfile forcibly re-autoconfs this sub-package, so the failing script has just been built 
by autoconf.  I first thought that autoconf might be broken, but this same package has been built 
successfully since the last autoconf update, so the blame seems to rest with bash.

I've assigned this "high" priority because it's blocking me from updating postgresql, which I really 
wanted to do before fc5test2 freeze :-(
Comment 1 Tom Lane 2006-01-08 21:48:34 EST
The script seems a bit large to attach to this bz entry, but I've left a copy as ~tgl/configure on porkchop.
Comment 2 Tim Waugh 2006-01-09 11:26:43 EST
Buggy script at line 3561:

                system=MP-RAS-`awk '{print }' /etc/.relid'`

should read

                system=MP-RAS-`awk '{print }' /etc/.relid`

i.e. take out the third single-quote.
Comment 3 Tom Lane 2006-01-09 12:08:55 EST
Argh, sorry to bother you with such a stupid thing.  It's weird though that this
script did not fail before.  Have bash's quoting rules changed recently?
Comment 4 Tim Waugh 2006-01-09 12:17:11 EST
Indeed, bash-3.0 does not fail on that code.  It must just be some small parser
change.  I think it's just good luck that it didn't fail before.

Note You need to log in before you can comment on or make changes to this bug.